Bug 1475633 - rmcpping and ipmiping command in freeipmi package could NOT parse command argument
rmcpping and ipmiping command in freeipmi package could NOT parse command arg...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: freeipmi (Show other bugs)
7.4
x86_64 Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Josef Ridky
Rachel Sibley
: Patch, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-26 23:50 EDT by if_else
Modified: 2017-10-17 23:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-29 04:30:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix ipmiping and rmcpping command line parsing (1.46 KB, patch)
2017-07-27 06:24 EDT, Josef Ridky
no flags Details | Diff

  None (edit)
Description if_else 2017-07-26 23:50:48 EDT
Description of problem:

rmcpping and ipmiping command in freeipmi package on CentOS7 x86_64 could NOT parse command argument:

    # rmcpping -h
    rmcpping [OPTIONS] destination
      -c   count
      -i   interval in seconds
      -I   interface address or device name
      -t   timeout in seconds
      -v   verbose output
      -s   starting sequence number
      -d   turn on debugging

    # rmcpping -c1 -t1 10.0.0.16
    rmcpping: count argument invalid

    # rmcpping -c 1 -t 1 10.0.0.16
    rmcpping: count argument invalid

    # ipmiping -h
    ipmiping [OPTIONS] destination
      -c   count
      -i   interval in seconds
      -I   interface address or device name
      -t   timeout in seconds
      -v   verbose output
      -r   protocol version
      -s   starting sequence number
      -d   turn on debugging

    # ipmiping -c1 -t1 10.0.0.16
    ipmiping: count argument invalid

    # ipmiping -c 1 -t 1 10.0.0.16
    ipmiping: count argument invalid

CentOS6's rmcpping and ipmiping command worked OK:

    # rmcpping -c1 -t1 10.0.0.16
    rmcpping 10.0.0.16 (10.0.0.16)
    pong timed out: message_tag=234
    --- rmcpping 10.0.0.16 statistics ---
    1 pings transmitted, 0 pongs received in time, 100.0% packet loss

    # ipmiping -c1 -t1 10.0.0.16
    ipmiping 10.0.0.16 (10.0.0.16)
    response timed out: rq_seq=20
    --- ipmiping 10.0.0.16 statistics ---
    1 requests transmitted, 0 responses received in time, 100.0% packet loss

Version-Release number of selected component (if applicable):


CentOS7

    # rpm -q freeipmi
    freeipmi-1.2.9-8.el7.x86_64

CentOS6

    # rpm -q freeipmi
    freeipmi-1.2.1-6.el6_5.x86_64
Comment 2 Josef Ridky 2017-07-27 06:24 EDT
Created attachment 1305277 [details]
Fix ipmiping and rmcpping command line parsing

Thank you for taking the time to report this issue to us. We appreciate the feedback and use reports such as this one to guide our efforts at improving our products. That being said, this bug tracking system is not a mechanism for requesting support, and we are not able to guarantee the timeliness or suitability of a resolution.

If this issue is critical or in any way time sensitive, please raise a ticket through the regular Red Hat support channels (for RHEL 7.4) to ensure it receives the proper attention and prioritization to assure a timely resolution. 

For information on how to contact the Red Hat production support team, please visit:
    https://www.redhat.com/support/process/production/#howto

---

Proposed patch solves described problem.
Comment 3 if_else 2017-07-27 08:02:28 EDT
@Josef Ridky

Thanks for your patch.

I have package freeipmi on Fedora Copr with your patch fix this problem :

https://copr.fedorainfracloud.org/coprs/outman/freeipmi/
Comment 4 Josef Ridky 2017-08-29 04:30:03 EDT
This issue has been fixed for next RHEL release RHEL-7.5. 

Due this issue has not been raised through the regular Red Hat support channels and do not have any assigned customer ticket, I am closing it as NEXTRELEASE.

Feel free to reopen this issue in case, you want to fix it for RHEL-7.4. Please provide business justification in such case.

Note You need to log in before you can comment on or make changes to this bug.